Package Details: kvazaar-git 1.2.0.r318.g75b25955-1

Git Clone URL: https://aur.archlinux.org/kvazaar-git.git (read-only)
Package Base: kvazaar-git
Description: An open-source HEVC encoder (git version)
Upstream URL: http://ultravideo.cs.tut.fi/#encoder
Licenses: LGPL
Conflicts: kvazaar
Provides: kvazaar
Submitter: fab31
Maintainer: dbermond
Last Packager: dbermond
Votes: 6
Popularity: 0.094169
First Submitted: 2014-01-29 17:06
Last Updated: 2019-06-20 12:49

Latest Comments

dbermond commented on 2019-10-09 17:10

@skeevy420 Package builds fine. Use a clean chroot and it will work.

There is an upstream issue about compiling in cpus that have no avx support using -march=native, but it was closed because the OP did not answer the developer anymore. Maybe you can discuss your issue there, since the developer says it can be reopened if the issue persists: https://github.com/ultravideo/kvazaar/issues/228

skeevy420 commented on 2019-10-09 13:14

Just wanted to add that this wasn't compiling for me either, but I figured out why. Looking over the logs, same as what @Strykar had, it tries to use AVX2 and I don't have a CPU that supports AVX2. After adding "-mno-avx -mno-avx2" to my CFLAGS and CXXFLAGS lines in /etc/makepkg.conf it compiled. For some reason it wasn't (isn't) using the flags from "-march=native -mtune=native" on my Westmere system.

dbermond commented on 2019-08-13 17:35

@Strykar Package is building fine. I see that you're using an AUR helper and this is not supported.

Strykar commented on 2019-08-13 10:54

Build fails with "error: inlining failed in call to always_inline ‘_lzcnt_u32’: target specific option mismatch". Log - https://gist.github.com/Strykar/1982726f828c7e357a988e8f595e3aa9 What am I missing here?

fab31 commented on 2018-03-23 20:19

Thank you! I have very little time for my AUR packages...

dbermond commented on 2018-03-19 22:48

I have adopted this package. It's now properly updated with the needed changes.

dbermond commented on 2018-02-11 14:20

@fab31 Although this package is building fine, it needs many adjustments, like adding a pkgver() function, change source download method, fix license, among other things. It would be better to use the recommended approaches described in the Wiki.

I can handle this package for you if you don't have the time. I already maintain the kvazaar package.

fab31 commented on 2014-02-02 18:59

I used the latest prototypes from abs package (2.4.4), could you point me something specific ?

Scimmia commented on 2014-01-29 17:43

You're using a very outdated PKGBUILD template. Please see: https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines